# encoding: utf-8
import datetime
from south.db import db
from south.v2 import DataMigration
from django.db import models

class Migration(DataMigration):

    def forwards(self, orm):

        # Delete old field
        db.delete_column('contacts_contactscenario', 'is_ok')
        # Rename new field
        db.rename_column('contacts_contactscenario', 'is_ok_temp', 'is_ok')

    def backwards(self, orm):

        # Rename new field
        db.rename_column('contacts_contactscenario', 'is_ok', 'is_ok_temp')
        # Add old field
        db.add_column('contacts_contactscenario', 'is_ok', self.gf('django.db.models.fields.BooleanField')(default=False), keep_default=False)


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contacts.contactapsuggestionlist': {
            'Meta': {'object_name': 'ContactAPSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactapsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactapsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactattentionpoint': {
            'Meta': {'ordering': "('type', 'name')", 'object_name': 'ContactAttentionPoint'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'attentionpoints'", 'null': 'True', 'to': "orm['contacts.ContactMeasure']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'attentionpoints'", 'null': 'True', 'to': "orm['contacts.ContactAPSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactattentionpoint_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactattentionpoint_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactevent': {
            'Meta': {'object_name': 'ContactEvent'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactevent_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactevent_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactmeasure': {
            'Meta': {'object_name': 'ContactMeasure'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactmeasure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactmeasure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactprotectionlayer': {
            'Meta': {'object_name': 'ContactProtectionLayer'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactprotectionlayer_measure': {
            'Meta': {'object_name': 'ContactProtectionLayer_Measure'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactMeasure']"}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'protectionlayer': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactProtectionLayer']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_measure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_measure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactscenario': {
            'Meta': {'ordering': "('type', 'name')", 'object_name': 'ContactScenario'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'evaluation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_ok': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'scope': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'contacts_scenario_set'", 'null': 'True', 'to': "orm['installations.Scope']"}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'scenarios'", 'null': 'True', 'to': "orm['contacts.ContactSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactscenario_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactscenario_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactsuggestionlist': {
            'Meta': {'object_name': 'ContactSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contacttreeelement': {
            'Meta': {'object_name': 'ContactTreeElement'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacttreeelement_related'", 'null': 'True', 'to': "orm['contenttypes.ContentType']"}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'elementtype': ('django.db.models.fields.SmallIntegerField', [], {}),
            'gate': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'object_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacttreeelement_children'", 'null': 'True', 'to': "orm['contacts.ContactTreeElement']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'scenario': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactScenario']"}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'installations.scope': {
            'Meta': {'object_name': 'Scope'},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'versioning.version': {
            'Meta': {'ordering': "('-date',)", 'object_name': 'Version'},
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'created_versions'", 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['contacts']
