# protection layer views

from analyses.analysisbase.views import protectionlayer as base_views

from analyses.deviations import models as app_models
from analyses.deviations import forms as app_forms
from analyses.deviations import tables as app_tables
from analyses.deviations.views.scenario import deviations_localnavigationlist

from django.utils.translation import ugettext_lazy as _

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_models()['protectionlayer']

class display(MixIn, base_views.display):
    form_class = app_forms.ProtectionLayerSheet

class edit(MixIn, base_views.edit):
    form_class = app_forms.ProtectionLayerForm
    template = 'deviations/protectionlayer_reliability_edit.html'

class delete(MixIn, base_views.delete):
    pass

class add_to_scenario(MixIn, base_views.add_to_scenario):
    pass

class compare(MixIn, base_views.compare):
    pass

class ProtectionLayerFilter(MixIn, base_views.ProtectionLayerFilter):
    pass

class ProtectionLayerListObject(MixIn, base_views.ProtectionLayerListObject):
    pass

class protectionlayers(MixIn, base_views.protectionlayers):
    filter = ProtectionLayerFilter()
    listobject = ProtectionLayerListObject()

    def get_navigationlist(self, namespace):
        return deviations_localnavigationlist(namespace)

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'add_to_scenario': add_to_scenario(),
    'compare': compare(),
    'protectionlayers': protectionlayers(),
}
