# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):

        # Adding model 'DispersionSuggestionlist'
        db.create_table('dispersions_dispersionsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionSuggestionlist'])

        # Adding model 'DispersionScenario'
        db.create_table('dispersions_dispersionscenario', (
            ('is_ok', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('evaluation', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='scenarios', blank=True, null=True, to=orm['dispersions.DispersionSuggestionlist'])),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionscenario_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('scope', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='dispersions_scenario_set', blank=True, null=True, to=orm['installations.Scope'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionscenario_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionScenario'])

        # Adding model 'DispersionTreeElement'
        db.create_table('dispersions_dispersiontreeelement', (
            ('rght', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('lft', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersiontreeelement_created', to=orm['auth.User'])),
            ('elementtype', self.gf('django.db.models.fields.SmallIntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('object_id', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('tree_id', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('gate', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersiontreeelement_children', blank=True, null=True, to=orm['dispersions.DispersionTreeElement'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersiontreeelement_related', blank=True, null=True, to=orm['contenttypes.ContentType'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('scenario', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['dispersions.DispersionScenario'])),
            ('level', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersiontreeelement_changed', to=orm['auth.User'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('dispersions', ['DispersionTreeElement'])

        # Adding model 'DispersionEvent'
        db.create_table('dispersions_dispersionevent', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionevent_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionevent_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionEvent'])

        # Adding model 'DispersionMeasure'
        db.create_table('dispersions_dispersionmeasure', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionmeasure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionmeasure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('tag', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionMeasure'])

        # Adding model 'DispersionProtectionLayer'
        db.create_table('dispersions_dispersionprotectionlayer', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionprotectionlayer_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionprotectionlayer_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionProtectionLayer'])

        # Adding model 'DispersionProtectionLayer_Measure'
        db.create_table('dispersions_dispersionprotectionlayer_measure', (
            ('protectionlayer', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['dispersions.DispersionProtectionLayer'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionprotectionlayer_measure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionprotectionlayer_measure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['dispersions.DispersionMeasure'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionProtectionLayer_Measure'])

        # Adding model 'DispersionAPSuggestionlist'
        db.create_table('dispersions_dispersionapsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionapsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionapsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionAPSuggestionlist'])

        # Adding model 'DispersionAttentionPoint'
        db.create_table('dispersions_dispersionattentionpoint', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['dispersions.DispersionAPSuggestionlist'])),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionattentionpoint_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dispersionattentionpoint_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['dispersions.DispersionMeasure'])),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('dispersions', ['DispersionAttentionPoint'])


    def backwards(self, orm):

        # Deleting model 'DispersionSuggestionlist'
        db.delete_table('dispersions_dispersionsuggestionlist')

        # Deleting model 'DispersionScenario'
        db.delete_table('dispersions_dispersionscenario')

        # Deleting model 'DispersionTreeElement'
        db.delete_table('dispersions_dispersiontreeelement')

        # Deleting model 'DispersionEvent'
        db.delete_table('dispersions_dispersionevent')

        # Deleting model 'DispersionMeasure'
        db.delete_table('dispersions_dispersionmeasure')

        # Deleting model 'DispersionProtectionLayer'
        db.delete_table('dispersions_dispersionprotectionlayer')

        # Deleting model 'DispersionProtectionLayer_Measure'
        db.delete_table('dispersions_dispersionprotectionlayer_measure')

        # Deleting model 'DispersionAPSuggestionlist'
        db.delete_table('dispersions_dispersionapsuggestionlist')

        # Deleting model 'DispersionAttentionPoint'
        db.delete_table('dispersions_dispersionattentionpoint')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'dispersions.dispersionapsuggestionlist': {
            'Meta': {'object_name': 'DispersionAPSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionapsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionapsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionattentionpoint': {
            'Meta': {'object_name': 'DispersionAttentionPoint'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['dispersions.DispersionMeasure']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['dispersions.DispersionAPSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionattentionpoint_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionattentionpoint_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionevent': {
            'Meta': {'object_name': 'DispersionEvent'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionevent_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionevent_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionmeasure': {
            'Meta': {'object_name': 'DispersionMeasure'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionmeasure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionmeasure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionprotectionlayer': {
            'Meta': {'object_name': 'DispersionProtectionLayer'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionprotectionlayer_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionprotectionlayer_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionprotectionlayer_measure': {
            'Meta': {'object_name': 'DispersionProtectionLayer_Measure'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['dispersions.DispersionMeasure']"}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'protectionlayer': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['dispersions.DispersionProtectionLayer']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionprotectionlayer_measure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionprotectionlayer_measure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionscenario': {
            'Meta': {'object_name': 'DispersionScenario'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'evaluation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_ok': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'scope': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'dispersions_scenario_set'", 'blank': 'True', 'null': 'True', 'to': "orm['installations.Scope']"}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'scenarios'", 'blank': 'True', 'null': 'True', 'to': "orm['dispersions.DispersionSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionscenario_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionscenario_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersionsuggestionlist': {
            'Meta': {'object_name': 'DispersionSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersionsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'dispersions.dispersiontreeelement': {
            'Meta': {'object_name': 'DispersionTreeElement'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersiontreeelement_related'", 'blank': 'True', 'null': 'True', 'to': "orm['contenttypes.ContentType']"}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'elementtype': ('django.db.models.fields.SmallIntegerField', [], {}),
            'gate': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersiontreeelement_children'", 'blank': 'True', 'null': 'True', 'to': "orm['dispersions.DispersionTreeElement']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'scenario': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['dispersions.DispersionScenario']"}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersiontreeelement_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dispersiontreeelement_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'installations.scope': {
            'Meta': {'object_name': 'Scope'},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'versioning.version': {
            'Meta': {'object_name': 'Version'},
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'created_versions'", 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['dispersions']
