from django.core.management.base import BaseCommand, CommandError
from utils.exchange import exchange
from django.contrib.auth.models import User
from django.db import transaction

class Command(BaseCommand):
    help = 'Installs the named fixture(s) in the database.'
    args = "fixture [fixture ...]"

    @transaction.commit_on_success
    def handle(self, *fixture_labels, **options):
        output = []
        try:
            user = User.objects.get(username='__SYSTEM__')
        except User.DoesNotExist:
            raise CommandError("System user not found")
        for fixture_label in fixture_labels:
            load = True
            try:
                fixture = open(fixture_label)
            except:
                output.append('Error opening fixture %s' % fixture_label)
                load = False
            if load:
                try:
                    exchange.load(user, fixture.read())
                except:
                    output.append('Error loading fixture %s' % fixture_label)
                fixture.close()
        return '\n'.join(output)


